
package calc;


/** Represents the Object for the Riemann Zeta-function in Calc-Scheme */

public class ZetaCalc extends BaseCalc {

  public int getArgsNr(){
    return 1;
  }

  public String getArithmeticSymbol(){
    return "zeta ";
  }

  /** evaluates the Zeta-function by using the Euler-MacLaurin formula */
  protected void doCalculate(){
    BaseCalc z = children[0];

    result = Complex.zeta_fastest(z.result());
  }
    
}
	


