package calc;


/** Represents a Numeral in the Calc-Scheme. Numerals are the leaves in the 
    operation tree, therefore they simply return the argument handed over to
    them in the Constructor */

public class NumeralCalc extends BaseCalc {

  public int getArgsNr(){
    return 1;
  }

  /* Keep the argument as the result */
  public NumeralCalc(Complex arg){
    result = arg;
    calculated = true;
  }

  public String getArithmeticSymbol(){
    return result.toString();
  }

  /** does nothing, since the result is already set in Constructor */
  protected void doCalculate(){
  }
    
}
	


